### Constructor

# Gtk AppChooserDialog new_for_content_type

#### Declaration [src]

    GtkWidget*
    gtk_app_chooser_dialog_new_for_content_type (
      GtkWindow* parent,
      GtkDialogFlags flags,
      const char* content_type
    )

#### Description [src]

Creates a new `GtkAppChooserDialog` for the provided content type.

The dialog will show applications that can open the content type.

#### Parameters

`parent` | `GtkWindow`
| A `GtkWindow`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`flags` | `GtkDialogFlags`
| Flags for this dialog.
`content_type` | `const char*`
| A content type string.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GtkWidget`
| A newly created `GtkAppChooserDialog`.
| The data is owned by the called function.